# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Manage checkout notifications Checkout notifications use a **polling and acknowledgement **model, where you poll for notification messages and acknowledge their receipt via API calls. In this guide, you will learn how to: - Retrieve notifications for a given time period - Acknowledge notifications ## Retrieve all notifications for a given time period Retrieve all notifications for a given time period by performing the following steps: 1. Send a GET call on the /notifications endpoint. 2. Use the periodStart and periodEnd as query parameters. > All notification messages for the past 30 days that have not been acknowledged will continue to be delivered with subsequent polling requests. > The following is a sample request to retrieve all notifications from April 5 to April 6. **Method: **`GET` **Endpoint:** `/notifications?periodStart=2023-04-05T00:00:00.000000000Z&periodEnd=2023-04-06T00:00:00.000000000Z` ```json { "messagesResponses": [ { "createdAt": "2022-12-21T09:30:15.987Z", "orderNotification": { "transactionReferenceNumber": "Q12345-4447-228", "checkoutReference": "QSA2345" } } ] } ``` ## Acknowledge notifications Acknowledge notifications you retrieved by performing a `POST` call to the `/notifications/ack` endpoint. The following is a sample request to send an acknowledgement for a notification. **Method: **`POST` **Endpoint: **`/notifications/ack` ```json { "messageInfos": [ { "messageIdentifier": "d38e582e-27e1-4748-811b-79281f3bb714" } ] } ``` **Response:** ```json { "ackFailedMessages": [ { "messageIdentifier": "d38e582e-27e1-4748-811b-79281f3bb714" } ] } ``` ## Related [Notifications](/docs/commerce/online-payments/capabilities/checkout/notifications)